"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var xhr_1 = __importDefault(require("./interceptors/xhr"));
var fetch_1 = __importDefault(require("./interceptors/fetch"));
var playlist_1 = require("./models/playlist");
var loading_bar_1 = require("./visualization/loading-bar");
function AudioLoader(sources, options) {
    if (options === void 0) { options = {
        withVisualization: true,
        oneSoundPerRequest: false,
        withLoadingBar: false
    }; }
    var playlist = new playlist_1.Playlist(sources, options);
    var requestsCount = 0;
    var start = function () {
        // just start this for the first request
        if (requestsCount === 0) {
            if (options.withLoadingBar) {
                loading_bar_1.show(options.colors || {});
            }
            playlist.play();
        }
        requestsCount++;
    };
    var end = function () {
        requestsCount--;
        // if this counter is above zero, there are multiple requests pending
        // wait for all of them to finish
        if (requestsCount > 0) {
            return;
        }
        if (options.withLoadingBar) {
            loading_bar_1.hide();
        }
        playlist.pause();
    };
    xhr_1.default(start, end);
    fetch_1.default(start, end);
}
exports.AudioLoader = AudioLoader;
exports.DISABLE_HEADER = 'X-AUDIO-LOADER-OFF';
//# sourceMappingURL=index.js.map