/// <reference types="howler" />
import { IOptions } from './options';
import { CircularAudioWave } from '../visualization/circular-wave';
interface ISound {
    playable: Howl;
    bpm?: number;
}
export declare class Playlist {
    sounds: ISound[];
    options: IOptions;
    currentIndex: number;
    currentSoundId: number;
    fadeInInMs: number;
    fadeOutInMs: number;
    circularWave?: CircularAudioWave;
    constructor(sources: string[], options: IOptions);
    createSound(src: string): ISound;
    play(): void;
    pause(): void;
}
export {};
