export declare class CircularAudioWave {
    lastMaxR: number;
    maxChartValue: number;
    minChartValue: number;
    playing: boolean;
    lineColorOffset: number;
    chartOptions: any;
    currentChartOptions: any;
    context: AudioContext;
    chart: any;
    sourceNode?: AudioBufferSourceNode;
    analyser?: AnalyserNode;
    _debouncedDraw: Function;
    currentAnimationFrame?: number;
    container: HTMLDivElement;
    canvas: HTMLCanvasElement;
    constructor(audioContext: AudioContext, masterGain: GainNode, colors?: any);
    createContainer(): {
        canvas: HTMLCanvasElement;
        container: HTMLDivElement;
    };
    start(bpm: number): void;
    stop(): void;
    destroy(): void;
    reset(): void;
    _setBpm(bpm: number): void;
    _drawAnimation(): void;
    _draw(freqData: any): void;
    _generateWaveData(data: any): {
        maxR: number;
        data: number[][];
    };
    buildChartOptions(colors: any): {
        angleAxis: {
            type: string;
            clockwise: boolean;
            axisLine: {
                show: boolean;
            };
            axisTick: {
                show: boolean;
            };
            axisLabel: {
                show: boolean;
            };
            splitLine: {
                show: boolean;
            };
        };
        radiusAxis: {
            min: number;
            max: number;
            axisLine: {
                show: boolean;
            };
            axisTick: {
                show: boolean;
            };
            axisLabel: {
                show: boolean;
            };
            splitLine: {
                show: boolean;
            };
        };
        polar: {
            radius: string;
        };
        series: ({
            coordinateSystem: string;
            name: string;
            type: string;
            showSymbol: boolean;
            lineStyle: {
                color: {
                    colorStops: {
                        offset: number;
                        color: any;
                    }[];
                };
                shadowColor: any;
                shadowBlur: number;
            };
            zlevel: number;
            data: number[][];
            silent: boolean;
            hoverAnimation: boolean;
            symbolSize?: undefined;
            rippleEffect?: undefined;
            itemStyle?: undefined;
            animation?: undefined;
        } | {
            coordinateSystem: string;
            name: string;
            type: string;
            showSymbol: boolean;
            lineStyle: {
                color: any;
                shadowColor: any;
                shadowBlur: number;
            };
            data: number[][];
            silent: boolean;
            hoverAnimation: boolean;
            zlevel?: undefined;
            symbolSize?: undefined;
            rippleEffect?: undefined;
            itemStyle?: undefined;
            animation?: undefined;
        } | {
            coordinateSystem: string;
            name: string;
            type: string;
            showSymbol: boolean;
            data: number[];
            symbolSize: number;
            rippleEffect: {
                period: number;
                scale: number;
            };
            itemStyle: {
                color: {
                    type: string;
                    colorStops: {
                        offset: number;
                        color: any;
                    }[];
                };
            };
            silent: boolean;
            hoverAnimation: boolean;
            animation: boolean;
            lineStyle?: undefined;
            zlevel?: undefined;
        })[];
    };
}
