"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var dom_ready_1 = __importDefault(require("../lib/dom-ready"));
var STYLES = function (colors) { return "\n  .slider{\n    position: fixed;\n    top: 0;\n    width: 100vw;\n    left: 0;\n    height:5px;\n  }\n\n  .line{\n    position:absolute;\n    opacity: 0.4;\n    background:" + (colors.primary || '#3f51b5') + ";\n    width:150%;\n    height:5px;\n  }\n\n  .subline{\n    position:absolute;\n    background:" + (colors.primary || '#3f51b5') + ";\n    box-shadow: 0 0 10px 1px " + (colors.primary || '#3f51b5') + ";\n    height:5px; \n  }\n  .inc{\n    animation: increase 2s infinite;\n  }\n  .dec{\n    animation: decrease 2s 0.5s infinite;\n  }\n\n  @keyframes increase {\n    from { left: -5%; width: 5%; }\n    to { left: 130%; width: 100%;}\n  }\n  @keyframes decrease {\n    from { left: -80%; width: 80%; }\n    to { left: 110%; width: 10%;}\n  }\n"; };
var HTML = function (colors) { return "\n  <style>\n    " + STYLES(colors) + "\n  </style>\n  <div id=\"al-loading-bar\" class=\"slider\">\n    <div class=\"line\"></div>\n    <div class=\"subline inc\"></div>\n    <div class=\"subline dec\"></div>\n  </div>\n"; };
var BAR;
function setBar() {
    BAR = document.querySelector('#al-loading-bar');
}
function showBar() {
    BAR.style.display = 'block';
}
function show(colors) {
    if (colors === void 0) { colors = {}; }
    if (!BAR) {
        dom_ready_1.default().then(function () {
            document.body.insertAdjacentHTML('beforeend', HTML(colors));
            setBar();
            showBar();
        });
    }
    else {
        showBar();
    }
}
exports.show = show;
function hide() {
    BAR.style.display = 'none';
}
exports.hide = hide;
//# sourceMappingURL=loading-bar.js.map